Bug 975740 - Errai archetypes has wrong versions
Errai archetypes has wrong versions
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Errai (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 2.3.0
Assigned To: Petr Penicka
Matous Jobanek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 05:03 EDT by Matous Jobanek
Modified: 2014-01-13 03:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:32:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matous Jobanek 2013-06-19 05:03:35 EDT
Description of problem:
All Errai archetypes mentioned in the Maven Repository User Guide [1] has old version of GWT (2.4.0) and when the option -Denterprise=true is used the version of Errai is still 2.3.2.Final instead of 2.3.2.Final-redhat-1


Version-Release number of selected component (if applicable):
2.3.0


How reproducible:
Use any of the archetypes

Steps to Reproduce: for bus-quickstart
1. mvn archetype:generate \
-DarchetypeGroupId=org.jboss.errai.archetypes \
-DarchetypeArtifactId=bus-quickstart \
-DarchetypeVersion=2.3.2.Final \
-Denterprise=true

2. open the pom.xml


Actual results:
wrong version:
GWT 2.4.0
Errai 2.3.2.Final


Expected results:
GWT 2.5.1
Errai 2.3.2.Final-redhat-1

Additional info:


[1] http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Web_Framework_Kit/2.3/html-single/Maven_Repository_User_Guide/index.html#available_maven_archetypes
Comment 2 Jonathan Fuerth 2013-06-24 14:08:32 EDT
Of the Errai archetypes listed in that document, only jboss-errai-kitchensink-archetype is set up for use with WFK: it supports the -Denterprise=true flag and is built on the jboss-jdf bom per the requirements that were given to us.

So the first three archetypes should be removed from the document. Who maintains that document? Is it Petr?

The last (kitchensink) requires the JDF project to publish a new set of BOMs every time we release a new version of Errai. I've sent the pull request [1] and I will publish a new Kitchen Sink archetype that points to the new JDF BOM release once that's out.

[1] https://github.com/jboss-jdf/jboss-bom/pull/28
Comment 4 Jonathan Fuerth 2013-06-26 11:58:29 EDT
Okay, the new community BOM has been published.

I've just published jboss-errai-kitchensink-archetype:2.3.2.Final to the JBoss Community Nexus repo, and it should be synced to Maven Central within a few hours.
Comment 6 Petr Penicka 2013-07-03 09:25:38 EDT
All Errai archetypes except jboss-errai-kitchensink-archetype are removed from the guide.

Docs stage URL: https://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_JBoss_Web_Framework_Kit/2.3/html/Maven_Repository_User_Guide/archetypes.html#available_maven_archetypes
Comment 7 Matous Jobanek 2013-07-03 09:33:12 EDT
Verified in WFK 2.3.0.CR2

Note You need to log in before you can comment on or make changes to this bug.